CCP(4)

NAME
ccp - AMD cryptographic co-processor

SYNOPSIS
ccp* at acpi?
ccp* at fdt?
ccp* at pci?

DESCRIPTION
AMD cryptographic co-processor devices provide offload for various cryptographic algorithms, offload of zlib compression and decompression, and a random number generator.

The ccp driver supports feeding output of the random number generator into the kernel entropy pool.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The ccp driver first appeared in OpenBSD 6.4.

AUTHORS
-nosplit The ccp driver was written by David Gwynne <dlg@openbsd.org>.